Name: knutclient
Version: 0.7.3
Release: alt1

Summary: KNutClient is GUI client for UPS system NUT
Summary(ru_RU.KOI8-R): KNutClient --    NUT
Group: Monitoring
License: GPL
Url: http://www.alo.cz/%name

Source: ftp://ftp.buzuluk.cz/pub/alo/%name/%name-%version.tar.gz

# Automatically added by buildreq on Tue Dec 09 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxslt qt3-designer xml-utils zlib-devel

%description
This package provides a KNutClient is a GUI client for Network UPS Tools (NUT).

%description -l ru_RU.KOI8-R
KNutClient --    Network UPS Tools (NUT).

%define qtdir %_libdir/qt3

%prep
%setup -q
%__subst 's,\.la,.so,' configure

%build
export QTDIR=%qtdir
export PATH=%qtdir/bin:$PATH

%configure --disable-rpath
%make_build 

%install
%makeinstall kde_htmldir=%buildroot%_docdir/HTML

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Monitoring" \
    %buildroot/%_datadir/applnk/*/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot%_iconsdir/hicolor/16x16/apps/%name.png %buildroot%_iconsdir/

%find_lang %name

# find language specific KDE help files
echo '%defattr(644,root,root,755)' >>"%name.lang"
    find "%buildroot" -type d |sed '
s:'"%buildroot"'::
s:\(.*/share/doc/HTML/[^/_]\+'"%name"'\)$:%dir \1:
s:\(.*/share/doc/HTML/\)\([^/_]\+\)\(/'"%name"'\):%lang(\2) %dir \1\2\3:
s:^\([^%].*\)::
s:%lang(en) ::
    ' |grep -v '^$' >> "%name.lang"

    find "%buildroot" -type f -o -type l |sed '
s:'"%buildroot"'::
s:\(.*/share/doc/HTML/\)\([^/_]\+\)\(/'"%name"'/.*\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(en) ::
    ' |grep -v '^$' >> "%name.lang"

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_datadir/*/*/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
#%doc %_docdir/HTML/en/*
#%doc %_docdir/HTML/cs/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- First build for Sisyphus.
